$(document).ready(function($)
{

	// sticky nav on front page
	if($('.page--index').length > 0) {
		var $searchForm = $('.teaser form'),
			$teaser = $('.teaser'),
			teaserSectionHeight = $teaser.closest('section').height(),
		    searchFormBottomOffset = $searchForm.offset().top + $searchForm.outerHeight(),
		    $window = $(window),
		    $body = $('body');
		    $inventory = $('.section--inventory');

		$window.scroll(function () {

			if($window.scrollTop() >= searchFormBottomOffset) {
				$inventory.addClass('section--inventory--sticky');
				$body.addClass('page--inner');

				$('.nav-mainmenu').wrap('<div class="dropdown nav-toggle"></div>').before('<a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="icon-reorder"></i> Menu</a>').removeAttr('class').addClass('dropdown-menu');
				$teaser.insertAfter('.nav-toggle').addClass('teaser--nav');
				$('.section--teaser').height(teaserSectionHeight);
			} else {
				$inventory.removeClass('section--inventory--sticky');
				$body.removeClass('page--inner');

				$('.nav-toggle > a').remove();
				$('.nav-toggle > ul').removeAttr('class').addClass('nav nav-pills nav-mainmenu').unwrap();

				$teaser.appendTo('.section--teaser .container').removeClass('teaser--nav');
				$('.section--teaser').removeAttr('style');
			}
		});
	}

	// move inventory and langs to main nav when < 980

	if($('.page--inner').length > 0) {
		var $mainNav = $('.nav-toggle ul');

		enquire.register("(max-width:1200px)", {
			match : function() {
				$mainNav.append('<li class="divider appended"></li>');
				$('.nav-inventory li').clone().addClass('appended').appendTo($mainNav);
				$mainNav.append('<li class="divider appended"></li>');
				$('.nav-langs li').clone().addClass('appended').appendTo($mainNav);
				$('.divider').next('.m_index').remove();
			},
			unmatch : function() {
				$('.appended', $mainNav).remove();
			}
		});
	}


	// maps in modals

	$('.js-listing-modal').on('shown', function(e) {
		if (typeof google === 'object' && typeof google.maps === 'object')
		{
			var thisMapElem = $(this).find('.map-elem').attr('id'),
				thisAddress = $(this).find('.address').text();
			_mapDisplay(thisAddress, thisMapElem);
		}
		else
		{
			$(this).find('.map-elem .hidden').css({
				display: 'block',
				visibility: 'visible'
			});
		}
	});

	function _mapDisplay(address, elem) {
		var geocoder = new google.maps.Geocoder(),
			skin = $('#js-gm-data').data('skin');
			map,
			options = {
				zoom: 16,
				disableDefaultUI: true
			};

		if ('default' != skin) {
			options.styles = gmStyles[skin];
		}
		
		map = new google.maps.Map(document.getElementById(elem), options);
		
		geocoder.geocode({'address': address}, function(results, status) {
			if (status == google.maps.GeocoderStatus.OK) {
				map.setCenter(results[0].geometry.location);
				var marker = new google.maps.Marker({
					map: map,
					position: results[0].geometry.location,
					icon: intelli.config.ia_url + 'templates/ypgo/img/marker.png'
				});
			} else {
				alert('Geocode was not successful for the following reason: ' + status);
			}
		});
	} 
});