<!DOCTYPE html>
<html lang="en">
	<head>
		{ia_hooker name='smartyFrontBeforeHeadSection'}

		<title>{ia_print_title}</title>
		<meta http-equiv="Content-Type" content="text/html;charset={$config.charset}">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta name="generator" content="Subrion CMS {$config.version} - Open Source Content Management System">
		<meta name="description" content="{$description}">
		<meta name="keywords" content="{$keywords}">
		<meta name="robots" content="index">
		<meta name="robots" content="follow">
		<meta name="revisit-after" content="1 day">
		<base href="{$nonProtocolUrl}">

		<!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
		<!--[if lt IE 9]>
			<script src="{$nonProtocolUrl}js/utils/shiv.js"></script>
		<![endif]-->

		<link rel="shortcut icon" href="{$nonProtocolUrl}favicon.ico">

		{ia_add_media files='jquery, subrion, bootstrap' order=0}
		{ia_print_js files='_IA_TPL_enquire.min, _IA_TPL_app' order=999}

		{ia_hooker name='smartyFrontAfterHeadSection'}

		{ia_print_css display='on'}

		{ia_add_js}
			intelli.pageName = '{$pageName}';

			{foreach $customConfig as $key => $value}
				intelli.config.{$key} = '{$value}';
			{/foreach}
		{/ia_add_js}
	</head>

	<body class="page--{$pageName}{if 'index' != $pageName} page--inner{/if}">
		<header>

			<section class="section section--inventory{if 'index' != $pageName} section--inventory--sticky{/if}">
				<div class="container">
					<a class="brand" href="{$smarty.const.IA_URL}">
						{if !empty($config.site_logo)}
							<img src="{$nonProtocolUrl}uploads/{$config.site_logo}" alt="{$config.site}">
						{else}
							<img src="{$img}logo.png" alt="{$config.site}">
						{/if}
					</a>
					
					{if 'index' == $pageName}
						{ia_blocks block='mainmenu'}
					{else}
						<div class="dropdown nav-toggle">
							<a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="icon-reorder"></i> Menu</a>
							{ia_blocks block='mainmenu'}
						</div>
						
						{ia_blocks block='teaser'}
					{/if}

					{ia_blocks block='account'}

					{ia_blocks block='inventory'}

					{include file='language-selector.tpl'}
				</div>
			</section>

			{if isset($iaBlocks.teaser) && 'index' == $pageName}
				<section class="section section--teaser">
					<div class="container">
						{ia_blocks block='teaser'}
					</div>
				</section>
			{/if}
		</header>
		
		{if 'companies_map' == $pageName}
			{ia_hooker name='smartyFrontBeforeNotifications'}
			{include file='notification.tpl'}

			{ia_hooker name='smartyFrontBeforeMainContent'}

			<div class="gm-full-page">{$_content_}</div>

			{ia_hooker name='smartyFrontAfterMainContent'}
		{else}
			{if isset($iaBlocks.verytop_categories)}
				<div class="section section--categories">
					<div class="container">
						{ia_blocks block='verytop_categories'}
					</div>
				</div>
			{/if}

			{if isset($iaBlocks.map) && 'index' != $pageName}
				<div class="section section--map">
					{ia_blocks block='map'}
				</div>
			{/if}

			{if isset($iaBlocks.verytop)}
				<div class="section section--verytop">
					<div class="container">
						{ia_blocks block='verytop'}
					</div>
				</div>
			{/if}

			{ia_hooker name='smartyFrontBeforeBreadcrumb'}
			{include file='breadcrumb.tpl' class='section--breadcrumbs--top'}

			{if 'index' != $pageName}
				<section id="content" class="section">
					<div class="container">
						<div class="row">
							<div class="{width section='content' position='center'}">
								<div class="content-wrap">

									{ia_blocks block='top'}

									<h1 class="page-header">
										{$pageTitle}
										{*if in_array($pageName, array('ylocs_search', 'search', 'ycategs_browse'))}
											<a href="{$smarty.const.IA_URL}map/{if !empty($yp_map_address)}{$yp_map_address}/{/if}" class="show-full-map">{lang key='show_full_map'}</a>
										{/if*}
									</h1>

									{ia_hooker name='smartyFrontBeforeNotifications'}
									{include file='notification.tpl'}

									{ia_hooker name='smartyFrontBeforeMainContent'}

									{$_content_}

									{ia_hooker name='smartyFrontAfterMainContent'}

									{ia_blocks block='bottom'}

									{if isset($iaBlocks.user1) || isset($iaBlocks.user2)}
										<div class="row">
											<div class="{width section='user-blocks' position='user1'}">{ia_blocks block='user1'}</div>
											<div class="{width section='user-blocks' position='user2'}">{ia_blocks block='user2'}</div>
										</div>
									{/if}
								</div>
							</div>

							<div class="{width section='content' position='right'}">
								{ia_blocks block='right'}
							</div>
						</div>
					</div>
				</section>
			{/if}

			{include file='breadcrumb.tpl' class=''}

			{if isset($iaBlocks.verybottom)}
				<section class="section section--verybottom">
					<div class="container">{ia_blocks block='verybottom'}</div>
				</section>
			{/if}

			<section class="section section--footer-blocks">
				<div class="container">
					<div class="row">
						<div class="{width section='footer' position='footer1'}">{ia_blocks block='footer1'}</div>
						<div class="{width section='footer' position='footer2'}">{ia_blocks block='footer2'}</div>
						<div class="{width section='footer' position='footer3'}">{ia_blocks block='footer3'}</div>
						<div class="{width section='footer' position='footer4'}">{ia_blocks block='footer4'}</div>
					</div>
				</div>
			</section>

			<footer class="section section--footer">
				<div class="container">
					{ia_hooker name='smartyFrontBeforeFooterLinks'}

					<p>&copy; {$smarty.server.REQUEST_TIME|date_format:'%Y'} {lang key='powered_by_subrion'}</p>

					{ia_blocks block='copyright'}

					{ia_hooker name='smartyFrontAfterFooterLinks'}
				</div>
			</footer>
		{/if}

		<!-- SYSTEM STUFF -->

		{if $config.cron}
			<div style="display: none;">
				<img src="{$nonProtocolUrl}cron/?{randnum}" width="1" height="1" alt="">
			</div>
		{/if}

		{if isset($manageMode)}
			{include file='visual-mode.tpl'}
		{/if}

		{if isset($previewMode)}
			<p>{lang key='youre_in_preview_mode'}</p>
		{/if}

		{ia_print_js display='on'}

		{ia_hooker name='smartyFrontFinalize'}
	</body>
</html>