{if !empty($latest_pages)}
	<div class="row featured-companies">
		<div class="span3 featured-companies__header">
			<h2>{lang key='new_heading'}</h2>
			<p>{lang key='new_tagline'}</p>
		</div>
		<div class="span9">
			<div class="row">
				{foreach $latest_pages as $page}
					<div class="span3">
						<div class="plate">
							<a href="#company_n__{$page.id}" data-toggle="modal" class="plate__thumb">
								{printImage imgfile=$page.image.path title=$page.title}
							</a>

							<div class="plate__content">
								{ia_hooker name='smartyItemBlockBeforeTitle'}
								<h4><a href="#company_n__{$page.id}" data-toggle="modal">{$page.title}</a></h4>
								<p class="address">{$page.address}, {ia_url item='ylocs' type='link' data=$page text=$page.location} {if !empty($page.zipcode)}, {$page.zipcode}{/if}</p>
								<p class="phone">{$page.phone}</p>
							</div>

							<div class="plate__actions">
								<a href="#company_n__{$page.id}" data-toggle="modal" class="pull-right"><i class="icon-info-sign"></i> {lang key='details'}</a>
							</div>
						</div>

						<div class="modal hide fade" id="company_n__{$page.id}">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="icon-remove-circle"></i></button>

							<div class="modal-body">
								<a href="{ia_url item='ypages' type='url' data=$page}" class="plate__thumb plate__thumb--small">
									{printImage imgfile=$page.image.path title=$page.title width=140}
								</a>

								<div class="plate__content plate__content--modal">
									{ia_hooker name='smartyItemBlockBeforeTitle'}
									<h4><a href="{ia_url item='ypages' type='url' data=$page}" data-toggle="modal">{$page.title}</a></h4>
									<p class="address">{$page.address}, {ia_url item='ylocs' type='link' data=$page text=$page.location} {if !empty($page.zipcode)}, {$page.zipcode}{/if}</p>
									<p class="phone">{$page.phone}</p>
									{if !empty($page.email)}<p class="email">{lang key='email'}: <a href="mailto:{$page.email}">{$page.email}</a></p>{/if}
									{if !empty($page.url)}
										{assign url '|'|explode:$page.url}
										<p class="url">{lang key='website'}: <a href="{$url[0]}" rel="nofollow" target="_blank">{$url[1]|escape:'html'}</a></p>
									{/if}
								</div>

								<div>
									{$page.description|truncate:300}
								</div>
							</div>

							<div class="modal-footer">
								<a href="{ia_url item='ypages' type='url' data=$page}" class="pull-right"><i class="icon-info-sign"></i> {lang key='full_details'}</a>
							</div>
						</div>
					</div>
					
					{if $page@iteration % 3 == 0}
						</div>
						<div class="row">
					{/if}
				{/foreach}
			</div>
		</div>
	</div>
{else}
	<div class="alert alert-info">{lang key='no_new'}</div>
{/if}